=== debian/changelog ===
xca (0.8.1-1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/rules: Work around strange ld error, fixes FTBFS.
  * debian/patches/ftbfs_binutils-gold.patch: Link against -lQtCore
    -lstdc++, fixes FTBFS with binutils-gold. (Closes: #605141)

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 27 Nov 2010 20:09:40 +0100

xca (0.8.1-1) unstable; urgency=low

  * new upstream version 0.8.1
  * change source format to 3.0 (quilt)
  * add ${misc:Depends}, found by lintian
  * add 32x32 pixel sized menu icon, to please lintian
  * added patch to fix a manpage typo, found by lintian

 -- Tino Keitel <tino+debian@tikei.de>  Sun, 10 Jan 2010 22:17:39 +0100

xca (0.8.1-0ubuntu1) lucid; urgency=low

  * New upstream release
  * debian/control: Add ${misc:Depends} as per lintian
  * doc/xca.1: Correct misspelling spotted by lintian

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 12 Jan 2010 16:57:05 -0500

xca (0.8.0-1ubuntu1) lucid; urgency=low

  * debian/rules: Work around strange ld error, fixes FTBFS

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 01 Jan 2010 02:43:31 -0500

xca (0.8.0-1) unstable; urgency=low

  * new upstream version (Closes: #560509)
  * add libltdl-dev build-dep, required by xca 0.8.0
  * provide a directory for the documentation in the configure call
  * actually invoke the configure target
  * correctly declare the installation path
  * no need to install HTML documentation via dh_installdocs, make install
    does it
  * no need to remove misplaced HTML documentation anymore
  * use the generated Local.mak instead of a separate configure-stamp

 -- Tino Keitel <tino+debian@tikei.de>  Tue, 15 Dec 2009 23:01:45 +0100

xca (0.7.0-1) unstable; urgency=low

  * New upstream version

 -- Tino Keitel <tino+debian@tikei.de>  Mon, 14 Sep 2009 20:55:44 +0200

xca (0.6.4-35-g6c2d6a6-1) UNRELEASED; urgency=low

  * Initial release. (Closes: #519003)

 -- Tino Keitel <tino+debian@tikei.de>  Fri, 06 Mar 2009 20:58:46 +0100
