=== doc/Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	gzip -9 <$^ >$@
 
 xca.html: xca.sgml
+	rm -f xca*.html
 	echo '<h1>No documentation generated</h1>' > $@
 	$(LINUXDOC) -B html $<
