=== img/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	echo $(OBJS)
 
 install:
-	install -D -m 644 key.xpm $(destdir)$(prefix)/share/pixmaps/xca-32x32.xpm
+	install -D -m 644 xca-32x32.xpm $(destdir)$(prefix)/share/pixmaps/xca-32x32.xpm
 
 imgres.cpp: imgres.rcc
 	$(RCC) -o $@ $<
@@ -24,4 +24,8 @@
 w32res.o: w32res.rc key.ico xca.ico xdb.ico
 	$(WINDRES) $< $@
 
+app:
+	mkdir -p $(APPDIR)/Resources
+	install -m 644 xca-mac-icon.icns $(APPDIR)/Resources
+
 include $(TOPDIR)/Rules.mak
