=== debian/changelog ===
xca (0.9.0-1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/rules: Work around strange ld error, fixes FTBFS.
    - debian/patches/ftbfs_binutils-gold.patch: fixes FTBFS with binutils-gold.
  * debian/rules: clean conftest.c in clean target as the file gets wrongly
    generated by make distclean

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 23 Feb 2011 06:08:07 +0000

xca (0.9.0-1) unstable; urgency=low

  * new upstream version
  * bump standards version to 3.9.1
  * remove patches, they are included in the upstream source:
    - add_32x32_icon-0.8.1
    - manpage_typo-0.8.1

 -- Tino Keitel <tino+debian@tikei.de>  Thu, 30 Sep 2010 11:45:15 +0200
