=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Tino Keitel <tino+debian@tikei.de>
 Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.2), libssl-dev, linuxdoc-tools, libltdl-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Homepage: http://xca.sourceforge.net
 Vcs-Git: http://git.hohnstaedt.de/xca.git
