=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	dh_testroot
 	rm -f build-stamp
 	$(MAKE) distclean
+	rm -f conftest.c
 	dh_clean 
 
 install: build
