=== doc/Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 xca.html: xca.sgml
 	rm -f xca*.html
 	echo '<h1>No documentation generated</h1>' > $@
+	test ! -f xca-doc.tgz || tar zxf xca-doc.tgz
 	$(LINUXDOC) -B html $<
 
 install: xca.1.gz xca.html
