=== lang/Makefile ===
--- 
+++ 
@@ -3,16 +3,16 @@
 TOPDIR=..
 endif
 
-PO_LANGUAGES=es
+PO_LANGUAGES=es tr fr
 LANGUAGES=de ru $(PO_LANGUAGES)
 QM_XCA=$(patsubst %, xca_%.qm, $(LANGUAGES))
 QM_QT=$(patsubst %, qt_%.qm, $(LANGUAGES))
 TS_XCA=$(patsubst %, xca_%.ts, $(PO_LANGUAGES))
 
+lang all: $(QM_XCA)
+
 %.qm: %.ts
 	$(LRELEASE) $< -qm $@
-
-all: $(QM_XCA)
 
 install: $(QM_XCA)
 	install -m 755 -d $(destdir)$(prefix)/share/xca
@@ -27,7 +27,7 @@
 
 po2ts: $(TS_XCA)
 xca_%.ts: %.po
-	po2ts $< $@ || :
+	po2ts -i $< > $(@) # | \
 	#lconvert -i $< -of ts -o $@
 
 xca.pot: xca.ts
