=== lib/Makefile ===
--- 
+++ 
@@ -8,11 +8,10 @@
 	pki_base pki_multi pki_evp pki_scard pass_info pki_pkcs7
 NAMES=$(MOCNAMES) asn1int oid x509rev asn1time \
 	x509v3ext func load_obj main x509name db import \
-	pk11_attribute pkcs11 pkcs11_lib
+	pk11_attribute pkcs11 pkcs11_lib Passwd
 
 
 OBJS=$(patsubst %, %.o, $(NAMES)) $(patsubst %, moc_%.o, $(MOCNAMES))
-DELFILES=$(patsubst %,moc_%.cpp,$(MOCNAMES)) db_dump
 
 include $(TOPDIR)/Rules.mak
