=== debian/changelog ===
xca (0.9.1~git7ffc768-2) unstable; urgency=low

  * fix configure script to handle multiarch libraries (Closes: #642823)

 -- Tino Keitel <tino+debian@tikei.de>  Tue, 25 Oct 2011 22:04:33 +0200

xca (0.9.1~git7ffc768-1) unstable; urgency=low

  * build from release.0.9.x upstream branch (Closes: #605141, #615796)
  * add build-indep and build-arch build targets to please lintian
  * bump standards version to 3.9.2

 -- Tino Keitel <tino+debian@tikei.de>  Mon, 04 Jul 2011 10:51:20 +0200
