=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,11 @@
 
 Local.mak:
 	dh_testdir
-	LDFLAGS=-Bsymbolic-functions docdir=/usr/share/doc/xca prefix=/usr ./configure
+	docdir=/usr/share/doc/xca prefix=/usr ./configure
+
+build-arch: build
+
+build-indep: build
 
 build: build-stamp
 
@@ -17,7 +21,6 @@
 	dh_testroot
 	rm -f build-stamp
 	$(MAKE) distclean
-	rm -f conftest.c
 	dh_clean 
 
 install: build
@@ -49,4 +52,12 @@
 
 binary: binary-indep binary-arch
 
-.PHONY: build clean binary-indep binary-arch binary install configure
+UPSTREAMTAG=upstream/0.9.1_git7ffc768
+SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
+UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
+ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar.gz
+
+get-orig-source:
+	git archive --format=tar ${UPSTREAMTAG} --prefix=${SOURCEPKG}_${UPSTREAM}/ | gzip -9 > ../${ORIG}
+
+.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source
