## xca 0.9.1

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 ifeq ($(TOPDIR),)
 TOPDIR=..
+BUILD=..
 endif
 
 DELFILES=xca*.html xca.1.gz
@@ -16,7 +17,8 @@
 	rm -f xca*.html
 	echo '<h1>No documentation generated</h1>' > $@
 	test ! -f xca-doc.tgz || tar zxf xca-doc.tgz
-	$(LINUXDOC) -B html $<
+	@$(PRINT) "  DOC    [$(BASENAME)] $@"
+	$(LINUXDOC) -B html $< >/dev/null
 
 install: xca.1.gz xca.html
 	install -m 755 -d $(destdir)$(docdir) \
