=== debian/changelog ===
xca (0.9.1-1) unstable; urgency=low

  * New upstream version (Closes: #650367)

 -- Tino Keitel <tino+debian@tikei.de>  Sat, 03 Dec 2011 12:27:04 +0100
