=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 
 binary: binary-indep binary-arch
 
-UPSTREAMTAG=upstream/0.9.1_git7ffc768
+UPSTREAMTAG=upstream/0.9.1
 SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
 UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
 ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar.gz
