=== macdeployqt/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	$(MAKE) -f Makefile.qt
 
 Makefile.qt: macdeployqt.pro
-	$(QMAKE) -o $@ $<
+	$(QMAKE) -spec macx-g++ -o $@ $<
 
 clean:
 	rm -f *.o Makefile.qt macdeployqt
