=== misc/Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 SRCPATH=$(VPATH)/
 
 all:
+
+include $(TOPDIR)/Rules.mak
 
 install:
 	install -m 755 -d $(destdir)$(prefix)/share/xca/ \
@@ -21,4 +23,3 @@
 	install -m 644 $(SRCPATH)Info.plist $(SRCPATH)PkgInfo $(APPDIR)
 	install -m 644 $(SRCPATH)*.txt $(SRCPATH)*.xca $(APPDIR)/Resources
 
-include $(TOPDIR)/Local.mak
