=== debian/changelog ===
xca (0.9.3-1ubuntu1) raring; urgency=low

  * Added missing libstdc++ to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 11 Apr 2013 17:34:08 -0400

xca (0.9.3-1) unstable; urgency=low

  * new upstream version
  * remove patch to search in multiarch library path, upstream now uses
    pkg-config
  * add pkg-config to Build-Depends
  * build with hardening flags enabled
  * patch configure script to preserve $CPPFLAGS and $LDFLAGS
  * bump standards version to 3.9.3, no changes needed

 -- Tino Keitel <tino+debian@tikei.de>  Sat, 02 Jun 2012 22:15:06 +0200
