=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: xca
 Section: x11
 Priority: optional
-Maintainer: Tino Keitel <tino+debian@tikei.de>
-Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.2), libssl-dev, linuxdoc-tools, libltdl-dev
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tino Keitel <tino+debian@tikei.de>
+Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.2), libssl-dev, linuxdoc-tools, libltdl-dev, pkg-config, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.3
 Homepage: http://xca.sourceforge.net
 Vcs-Git: http://git.hohnstaedt.de/xca.git
