=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 configure: Local.mak
 
 Local.mak:
 	dh_testdir
-	docdir=/usr/share/doc/xca prefix=/usr ./configure
+	CF=$(CPPFLAGS) docdir=/usr/share/doc/xca prefix=/usr ./configure
 
 build-arch: build
 
@@ -52,7 +55,7 @@
 
 binary: binary-indep binary-arch
 
-UPSTREAMTAG=upstream/0.9.1
+UPSTREAMTAG=upstream/0.9.3
 SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
 UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
 ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar.gz
