=== debian/changelog ===
xca (1.0.0-2) unstable; urgency=medium

  * RedHat Bug #1164340 - segfault when viewing a RHEL entitlement certificate
    (Closes: #770091)

 -- Tino Mettler <tino+debian@tikei.de>  Tue, 18 Nov 2014 22:09:55 +0100

xca (1.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #758440)
  * Fix undefined reference to symbol '__cxa_free_exception@@CXXABI_1.3'
    Thanks to YunQiang Su <wzssyqa@gmail.com> (Closes: #713672, #762419)
  * Show all build commands during build to fix a lintian warning
  * Use DEB_REF instead of UPSTREAM_REF for git based patch creation
  * Update maintainer name

 -- Tino Mettler <tino+debian@tikei.de>  Thu, 23 Oct 2014 11:59:26 +0200
