=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 build: build-stamp
 
 build-stamp: Local.mak
-	$(MAKE)
+	$(MAKE) all
 	touch $@
 
 clean:
@@ -55,7 +55,7 @@
 
 binary: binary-indep binary-arch
 
-UPSTREAMTAG=upstream/0.9.3
+UPSTREAMTAG=upstream/1.0.0
 SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
 UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
 ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar.gz
